Subject: Re: bug#16649: Right margin overflows on neighboring windows.

From: Eli Zaretskii <[email-masked]>
Date: Fri, 07 Feb 2014 13:51:03 +0200

> Date: Fri, 07 Feb 2014 12:14:11 +0100
> From: martin rudalics <[email-masked]>
> CC: E Sabof <[email-masked]>, [email-masked]
> 
>  > Could you please tell what exactly is wrong with display in the above
>  > test case?  And what does "the margin overflows" mean?  Maybe I'm
>  > blind, but I don't see anything wrong when I eval the above code.
> 
> You have to do C-x 3 and enlarge one of the windows to see the effects.

I did, and still didn't see any problems.

Anyway, thanks for taking care of this.

> There were plenty of them - mostly related to not returning the right
> values via window box related functions.  I also now adjust the window
> margins when a window gets to narrow because otherwise the redisplay
> engine gets confused when inserting new text.  Still pretty toothless
> when confronted with more drastic specifications but the best I came up
> with so far.

Any mode that gets to these extreme situations should be shot through
the head.